//
// Generated stub from file:/buildfactory/kundo/hudson/jobs/Release-Kundo_Plug-ins/workspace/plugins/target/checkout/plugins/kundo-prepare-plugin/src/main/groovy/org/openscm/kundo/plugins/PrepareDelegate.groovy
//

package org.openscm.kundo.plugins;

import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;
import groovy.lang.*;
import groovy.util.*;
import org.openscm.kundo.plugins.context.BuildContext;
import org.openscm.kundo.common.logging.SimpleLogger;

/**
 * Prepare Delegate
 *
 * @author <a href="mailto:nigel.garner@upco.co.uk">Nigel Garner</a>
 * @version 1.0.0

Description: A Prepare Delegate that prepares a series of directories that have been loaded from
either the plugin's default plugin.properties or the project's build.properties.

<p>The delegate performs a two phases preparation:
1 - All of the output directories are prepared from global indexed project properties
2 - A generic list of directories from the comma delimited prepare.paths property are created</p>
 */
public class PrepareDelegate
    extends AbstractPluginTargetDelegate
{
    private java.lang.String paths = null;

    private PrepareDelegate(java.lang.Void void1, java.lang.Void void2, java.lang.Void void3) {
        super((AntBuilder)null, (BuildContext)null);

        throw new InternalError("Stubbed method");
    }

    /**
     * Constructor sets ant and buildContext instances in super class
     *
     * @param ant AntBuilder instance
     * @param buildContext BuildContext instance
     */
    public PrepareDelegate(AntBuilder ant, BuildContext buildContext) {
        this((java.lang.Void)null, (java.lang.Void)null, (java.lang.Void)null);
        throw new InternalError("Stubbed method");
    }

    /**
     * Implementation of abstract method from AbstractPluginTargetDelegate
     * to hold assertions that all global and local properties are available to the plugin.
     * This method is automatically called prior to execution.
     */
    public void doCheck() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Injector for Paths element
     */
    public void setPaths(java.lang.String paths) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Private method for creating generic paths
     *
     * @param paths - List of string paths to be created
     */
    public java.lang.Object prepare(java.lang.Object paths) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Private method for creating indexed paths retrieved from the project properties
     *
     * @param paths - List of dynamic objects containing output paths to be created
     */
    public java.lang.Object prepareIndexedPaths(java.lang.Object paths) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Concrete implementation of the AbstractDelegate.execute() method
     */
    public void doExecute() {
        throw new InternalError("Stubbed method");
    }

    public groovy.lang.MetaClass getMetaClass() {
        throw new InternalError("Stubbed method");
    }

    public void setMetaClass(groovy.lang.MetaClass metaClass) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object getProperty(java.lang.String name) {
        throw new InternalError("Stubbed method");
    }

    public void setProperty(java.lang.String name, java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }
}
